weka.core.matrix

## Class ExponentialFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat
    - - java.text.DecimalFormat
      - - weka.core.matrix.ExponentialFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, RevisionHandler

      public class ExponentialFormat
      extends java.text.DecimalFormat
      implements RevisionHandler

  Version:
    $Revision: 8034 $
  Author:
    Yong Wang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.NumberFormat

      `java.text.NumberFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.NumberFormat

      `FRACTION_FIELD, INTEGER_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExponentialFormat()`
    `ExponentialFormat(int digits)`
    `ExponentialFormat(int digits, boolean trailing)`
    `ExponentialFormat(int digits, int exp, boolean sign, boolean trailing)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.StringBuffer` | `format(double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
    `java.lang.String` | `getRevision()` Returns the revision string.
    `int` | `width()`

    - ### Methods inherited from class java.text.DecimalFormat

      `applyLocalizedPattern, applyPattern, clone, equals, format, format, formatToCharacterIterator, getCurrency, getDecimalFormatSymbols, getGroupingSize, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getMultiplier, getNegativePrefix, getNegativeSuffix, getPositivePrefix, getPositiveSuffix, getRoundingMode, hashCode, isDecimalSeparatorAlwaysShown, isParseBigDecimal, parse, setCurrency, setDecimalFormatSymbols, setDecimalSeparatorAlwaysShown, setGroupingSize, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setMultiplier, setNegativePrefix, setNegativeSuffix, setParseBigDecimal, setPositivePrefix, setPositiveSuffix, setRoundingMode, toLocalizedPattern, toPattern`

    - ### Methods inherited from class java.text.NumberFormat

      `format, format, getAvailableLocales, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setGroupingUsed, setParseIntegerOnly`

    - ### Methods inherited from class java.text.Format

      `format, parseObject`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExponentialFormat

          public ExponentialFormat()

    - #### ExponentialFormat

          public ExponentialFormat(int digits)

    - #### ExponentialFormat

          public ExponentialFormat(int digits,
                           boolean trailing)

    - #### ExponentialFormat

          public ExponentialFormat(int digits,
                           int exp,
                           boolean sign,
                           boolean trailing)

  - ### Method Detail

    - #### width

          public int width()

    - #### format

          public java.lang.StringBuffer format(double number,
                                      java.lang.StringBuffer toAppendTo,
                                      java.text.FieldPosition pos)

      Overrides:
        `format` in class `java.text.DecimalFormat`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision